import { OCCT as BaseOCCT, OCCTWorkerManager } from "@bitbybit-dev/occt-worker";
import { Line, Polyline, Verb, Tag, Time, OCCTW, Asset, JSONBitByBit } from "@bitbybit-dev/core";
import { JSCAD } from "@bitbybit-dev/jscad-worker";
import { ManifoldBitByBit } from "@bitbybit-dev/manifold-worker";
import { Vector, Point, TextBitByBit, Color, MathBitByBit, Lists, Logic, Transforms } from "@bitbybit-dev/base";
import { Draw } from "./bitbybit/draw";
import { Context } from "./context";
import { JSCADWorkerManager } from "@bitbybit-dev/jscad-worker";
import { ManifoldWorkerManager } from "@bitbybit-dev/manifold-worker";
import { ThreeJS } from "./bitbybit/threejs";
import { Scene } from "three";
export declare class BitByBitBase {
    context: Context;
    jscadWorkerManager: JSCADWorkerManager;
    manifoldWorkerManager: ManifoldWorkerManager;
    occtWorkerManager: OCCTWorkerManager;
    math: MathBitByBit;
    logic: Logic;
    lists: Lists;
    json: JSONBitByBit;
    vector: Vector;
    three: ThreeJS;
    point: Point;
    line: Line;
    transforms: Transforms;
    polyline: Polyline;
    draw: Draw;
    verb: Verb;
    jscad: JSCAD;
    manifold: ManifoldBitByBit;
    text: TextBitByBit;
    tag: Tag;
    time: Time;
    occt: OCCTW & BaseOCCT;
    asset: Asset;
    color: Color;
    constructor();
    init(scene: Scene, occt?: Worker, jscad?: Worker, manifold?: Worker): void;
}
